sitemap

RSS地图

收藏本站

设为首页

Oracle研究中心

当前位置:Oracle研究中心 > 运维DBA >

【学习笔记】The Database Migration Assistant for Unicode简称DMU

时间:2016-12-08 10:18   来源:Oracle研究中心   作者:网络   点击:

天萃荷净 Oracle研究中心学习笔记:偏好一篇关于Oracle数据库The Database Migration Assistant for Unicode (DMU) Tool工具使用案例。

本站文章除注明转载外,均为本站原创: 转载自love wife & love life —Roger 的Oracle技术博客
本文链接地址: When to use DMU?

今天看到mos文档发现一个好东西,跟大家分享。

一个图形化界面更改数据库字符集的工具。我们知道10g之前都是直接alter 更改,10g提供了Csscan和 Csalter,但是仍然是命令行的,从10.2.0.4.4开始,就有次gui工具,那就是The Database Migration Assistant for Unicode,简称DMU。

首先说说这个工具有啥用,其实只是将字符集更改为UTF8或AL32UTF8时可以使用的,针对不同的版本有个说明:

Please do note however there are is a serverside patch needed for using DMU.
This means DMU can be used to change a database on a version / platform combination for which patch 9825461 is available.

The DMU server side patch 9825461 is included in 11.2.0.3 and up and so available on all platforms as of 11.2.0.3.

For Unix platforms see the table on http://www.oracle.com/technetwork/database/globalization/dmu/learnmore/configurations-333837.html

note that fact that :
* the 11.2.0.2.0 version of the patch 9825461 can be applied on the 11.2.0.2.1, 11.2.0.2.2 and 11.2.0.2.3 PSU ( Patch 12419331)
-> note that using dmu with 11.2.0.2.4  ( Patch 12827726 )  - and up - is not possible
* for 11.2.0.1 you need to be an the exact listed PSU level , which is 11.2.0.1.3 (Patch 9952216)
* for 11.1.0.7 you need to bhttp://www.oracleplus.nete an the exact listed PSU level , which is 11.1.0.7.5 (Patch 9952228)
* the 10.2.0.5 version of the patch 9825461 can be applied on the 10.2.0.5.1, 10.2.0.5.2, and 10.2.0.5.3 PSU ( Patch 11724962 )
-> note that using dmu with 10.2.0.5.4 ( Patch 12419392 ) - and up - is not possible
* for 10.2.0.4 you need to be an the exact listed PSU level , which is 10.2.0.4.4  ( Patch 9352164)

For windows the needed serverside fixes ( patch 9825461 ) are included in these windows patch sets
* 10.2.0.4 Patch 46 or later
* 10.2.0.5 Patch 10 or later
* 11.1.0.7 Patch 39 or later
* 11.2.0.1 Patch 12 or later
* 11.2.0.2 Patch 6 or later
* 11.2.0.3 - not needed, fix included in 11.2.0.3
对于在server端进行操作,需要先运行安装一个package,如下:
The DMU “serverside” patch requirement allow to install the SYS.DBMS_DUMA_INTERNALpackage ,
wich need to be created by running (from the database home) /rdbms/admin/prvtdumi.plb

另外,也有客户端可以下载的,但是需要一定的环境支持,说明如下:
Note that the DMU client needs the Oracle Java SE Development Kit 6 installed。

本来想测试下,下载patch时,发现没有linux x86版本,较为遗憾,这里简单的总结几句:

1. 11.2.0.3版本自带DMU了,不需要单独下载patch安装支持了。
2. 10.2.0.4.4以及以后都需要下patch安装支持,如下图所示:



--------------------------------------ORACLE-DBA----------------------------------------

最权威、专业的Oracle案例资源汇总之【学习笔记】The Database Migration Assistant for Unicode简称DMU

本文由大师惜分飞原创分享,网址:http://www.oracleplus.net/arch/1379.html

Oracle研究中心

关键词:

Oracle DMU TOOL工具

DMU工具使用笔记